#include "utils.h"

std::string GetFilenameFromPath(const std::string& path)
{
    // Find the last slash or backslash
    size_t lastSlash = path.find_last_of("/\\");
    std::string filename = (lastSlash == std::string::npos) ? path : path.substr(lastSlash + 1);

    // Strip trailing slashes (if any)
    while (!filename.empty() && (filename.back() == '/' || filename.back() == '\\'))
        filename.pop_back();

    return filename;
}
